<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div class="panel panel-default">
  <div class="panel-heading">
    <h4 class="panel-title">Zuständigkeit</h4>
  </div>

  <div class="panel-body">
    <table class="table table-bordered responsibility-column-striped">
      <thead>
        <tr>
          <th style="border: 0"></th>
          <th style="min-width: 64px">Strom</th>
          <th style="min-width: 64px">Gas</th>
          <th style="min-width: 64px">FW</th>
          <th style="min-width: 64px">Wasser</th>
          <th style="min-width: 64px">ZSM</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let responsibilityContainer of responsiblitySelection">
          <td>{{ responsibilityContainer.gridTerritoryDescription }}</td>
          <td>
            <input
              type="checkbox"
              *ngIf="
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'S') as responsibility
              "
              (change)="responsibilitiesSelectionChanged()"
              class="responsibility-checkbox-er"
              [(ngModel)]="responsibility.isActive"
            />
            <span
              *ngIf="
                withNames &&
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'S') as responsibility
              "
              >&nbsp;von:&nbsp;{{
                mapUserName(responsibility.newResponsibleUser)
              }}</span
            >
          </td>
          <td>
            <input
              type="checkbox"
              *ngIf="
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'G') as responsibility
              "
              (change)="responsibilitiesSelectionChanged()"
              class="responsibility-checkbox-gr"
              [(ngModel)]="responsibility.isActive"
            />
            <span
              *ngIf="
                withNames &&
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'G') as responsibility
              "
              >&nbsp;von:&nbsp;{{
                mapUserName(responsibility.newResponsibleUser)
              }}</span
            >
          </td>
          <td>
            <input
              type="checkbox"
              *ngIf="
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'F') as responsibility
              "
              (change)="responsibilitiesSelectionChanged()"
              class="responsibility-checkbox-dhr"
              [(ngModel)]="responsibility.isActive"
            />
            <span
              *ngIf="
                withNames &&
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'F') as responsibility
              "
              >&nbsp;von:&nbsp;{{
                mapUserName(responsibility.newResponsibleUser)
              }}</span
            >
          </td>
          <td>
            <input
              type="checkbox"
              *ngIf="
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'W') as responsibility
              "
              (change)="responsibilitiesSelectionChanged()"
              class="responsibility-checkbox-wr"
              [(ngModel)]="responsibility.isActive"
            />
            <span
              *ngIf="
                withNames &&
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'W') as responsibility
              "
              >&nbsp;von:&nbsp;{{
                mapUserName(responsibility.newResponsibleUser)
              }}</span
            >
          </td>
          <td>
            <input
              type="checkbox"
              *ngIf="
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'Z') as responsibility
              "
              (change)="responsibilitiesSelectionChanged()"
              class="responsibility-checkbox-wr"
              [(ngModel)]="responsibility.isActive"
            />
            <span
              *ngIf="
                withNames &&
                responsibilityContainer &&
                getResponsiblity(responsibilityContainer, 'Z') as responsibility
              "
              >&nbsp;von:&nbsp;{{
                mapUserName(responsibility.newResponsibleUser)
              }}</span
            >
          </td>
        </tr>
      </tbody>
    </table>
    <button
      *ngIf="withButtons"
      class="btn btn-primary btn-sm"
      (click)="selectAllResponsibilities()"
    >
      Alle setzen
    </button>
    <button
      *ngIf="withButtons"
      class="btn btn-primary btn-sm"
      (click)="deselectAllResponsibilities()"
    >
      Alle löschen
    </button>
  </div>
</div>
